# Ubuntu on Windows Apache2 vhost conf.
# Primarily for a speed-up in compile time for BSIAdmin, if BSIAdmin is loaded from the developer workstation.
<VirtualHost 127.0.0.1:80>
    UseCanonicalName Off

    LogFormat "%{Host}i %h %l %u %t \"%r\" %s %b" vcommon

    ServerName %0

    VirtualDocumentRoot c:/ExportVHosts/%0
    VirtualScriptAlias c:/ExportVHosts/%0/cgi-bin

    # Applications will not require environment variables with whitelisted domains
    # and instead will trust the HTTP Host header.
    SetEnv DEVELOPMENT_ENVIRONMENT true
</VirtualHost>
<VirtualHost 127.0.0.1:443>
    SSLEngine on
	
	UseCanonicalName Off

    LogFormat "%{Host}i %h %l %u %t \"%r\" %s %b" vcommon

    ServerName %0

    VirtualDocumentRoot c:/ExportVHosts/%0
    VirtualScriptAlias c:/ExportVHosts/%0/cgi-bin

    # Applications will not require environment variables with whitelisted domains
    # and instead will trust the HTTP Host header.
    SetEnv DEVELOPMENT_ENVIRONMENT true
	
	SSLEngine on
	SSLCertificateFile "C:/ProgramData/Metal Cloud Development Environment/server.crt"
	SSLCertificateKeyFile "C:/ProgramData/Metal Cloud Development Environment/server.pem"
	SSLCertificateChainFile "C:/ProgramData/Metal Cloud Development Environment/ca.crt"
</VirtualHost>


<Directory c:/ExportVHosts>
    Options FollowSymLinks
    AllowOverride All
    Require all granted
</Directory>